from django.shortcuts import render
from django.http import HttpResponse

from pprint import pprint

from ..models import *
from ..forms import *

def index(request):
    return HttpResponse("Hello Boat")


def list_boats(request):
    return render(request, 'boat/list.html',
                  {'boats': boat.objects.all})

def form(request):
    boat_form = BoatForm()
    person_form = PersonForm()
    stay_form = StayForm()
    mooring_forms = MooringFormSet()
    
    return render(request, 'boat/form.html', 
                  {'boat_form': boat_form,
                   'person_form': person_form,
                   'stay_form': stay_form,
                   'mooring_forms': mooring_forms})

def add_boat(request):
    if request.method == 'POST':
        boat_form = BoatForm(request.POST)
        if not boat_form.is_valid():
            return form(request)
        
        person_form = PersonForm(request.POST)
        if not person_form.is_valid():
            return form(request)        
        
        stay_form = StayForm(request.POST)
        if not stay_form.is_valid():
            return form(request)          
        
        if stay_form.no_mooring is not True:
            mooring_forms = MooringFormSet(request.POST)
            mooring_forms_data = mooring_forms.save(commit=False)
            for mooring_data in mooring_forms_data:
                pass

    return form(request)
